Disclosure submission types
curl --request GET \
--url https://api.ngnmarket.com/v1/disclosures/types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ngnmarket.com/v1/disclosures/types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ngnmarket.com/v1/disclosures/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"data": [
{
"type": "Corporate Actions",
"count": 608
},
{
"type": "Financial Statements",
"count": 301
},
{
"type": "Board Meeting (BM)",
"count": 149
},
{
"type": "DirectorsDealings",
"count": 57
},
{
"type": "Annual General Meeting (AGM)",
"count": 40
},
{
"type": "EarningForcast",
"count": 32
},
{
"type": "Extra-Ordinary General Meeting (EGM)",
"count": 3
}
]
},
"meta": {
"plan": "free",
"calls_used": 11,
"calls_remaining": 9989,
"reset_at": "2026-06-01T00:00:00.000Z"
}
}Disclosure submission types
Returns all submission types present in the database with their document counts.
Use the type values as the type filter on GET /disclosures.
Plan required: Free
GET
/
disclosures
/
types
Disclosure submission types
Authorizations
Pass your API key as a Bearer token: Authorization: Bearer ngm_live_YOUR_KEY.
Generate keys at ngnmarket.com/dashboard/developer.
⌘I